Get monitor details
curl --request GET \
--url https://api.topograph.co/v2/monitors/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.topograph.co/v2/monitors/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.topograph.co/v2/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cmfzlu1dt000j12ldeqrfszq0",
"companyId": "123456789",
"countryCode": "DE",
"lastFetchedAt": "2026-03-20T02:00:00.000Z",
"createdAt": "2026-01-15T10:30:00.000Z",
"companyName": "Topograph SAS",
"metadata": {
"caseId": "case-12345"
}
}Monitors
Get monitor details
GET
/
v2
/
monitors
/
{id}
Get monitor details
Authorizations
Path Parameters
Monitor ID
Response
Monitor details
The unique identifier for the monitor
Example:
"cmfzlu1dt000j12ldeqrfszq0"
The company ID being monitored
Example:
"123456789"
The country code for the monitored company
Example:
"DE"
When the monitor data was last fetched, or null before the first fetch.
Example:
"2026-03-20T02:00:00.000Z"
When the monitor was created
Example:
"2026-01-15T10:30:00.000Z"
The legal name of the monitored company
Example:
"Topograph SAS"
Key-value pairs provided at monitor creation, echoed back in responses and monitor.notification webhooks.
Show child attributes
Show child attributes
Example:
{ "caseId": "case-12345" }